Skip to main content
You would need to register a sender ID with the endpoint mentioned below. All messages sent before then will be delivered with the default sender ID.
Register your Sender ID with this endpoint. You will get an email once it has been approved. All messages sent before then will be delivered with the default sender ID.

Request

[POST]
{{baseUrl}}api/v1/messaging/sender_id

Body parameter

ParameterTypeDescriptionRequired
sender_idstringSender ID you wish to register, should be less than 11 charactersrequired
Kindly note that you can only register your Sender ID in production.

Sample response

Response
{
  "entity": {
    "message": "Sender ID Request Successful, you will get an email once it's activated."
  }
}

Response Fields

FieldTypeDescription
entityobjectContains the sender ID registration result
entity.messagestringConfirmation message indicating the registration request status

Fetch Sender IDs

Fetch the list of all your Sender IDs.

Request

[GET]
{{baseUrl}}api/v1/messaging/sender_ids

Sample response

Response
{
    "entity": [
        {
            "sender_id": "Dojah",
            "activated": true,
            "createdAt": "2020-10-30T09:54:17.145Z"
        }
    ]
}

Response Fields

FieldTypeDescription
entityarrayList of registered sender IDs
entity[].sender_idstringThe registered sender ID name
entity[].activatedbooleantrue if the sender ID has been approved and is active for use
entity[].createdAtstringISO 8601 timestamp of when the sender ID was registered